<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

$extConf = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['tkautocrop']);
$aspectvalues = \TYPO3\CMS\Core\Utility\GeneralUtility::trimExplode(',', $extConf['aspectratio']);
$aspectratios = array();
$aspectratios[] = array('-:-', ' ');
foreach (array_reverse($aspectvalues) as $value) {
	$aspectratios[] = array($value, $value);
}

$tca = array(
		'columns' => array(
				'tx_tkautocrop_aspectratio' => array(
						'exclude' => 0,
						'label' => 'LLL:EXT:tkautocrop/Resources/Private/Language/locallang_db.xlf:tca.aspectratio',
						'config' => array(
								'type' => 'select',
								'items' => $aspectratios,
								'minitems' => 1,
								'maxitems' => 1,
						)
				),
		),
		'palettes' => array(
				'image_settings' => array(
						'showitem' => '
				imagewidth;LLL:EXT:cms/locallang_ttc.xlf:imagewidth_formlabel,
				imageheight;LLL:EXT:cms/locallang_ttc.xlf:imageheight_formlabel,
				imageborder;LLL:EXT:cms/locallang_ttc.xlf:imageborder_formlabel,
				--linebreak--,
				image_compression;LLL:EXT:cms/locallang_ttc.xlf:image_compression_formlabel,
				image_effects;LLL:EXT:cms/locallang_ttc.xlf:image_effects_formlabel,
				tx_tkautocrop_aspectratio,
				image_frames;LLL:EXT:cms/locallang_ttc.xlf:image_frames_formlabel
			',
						'canNotCollapse' => 1
				),
		)
);
$GLOBALS['TCA']['tt_content'] = array_replace_recursive($GLOBALS['TCA']['tt_content'], $tca);